org.apache.mina.filter.executor

## Interface IoEventSizeEstimator

- All Known Implementing Classes:
    DefaultIoEventSizeEstimator

      public interface IoEventSizeEstimator

  Estimates the amount of memory that the specified `IoEvent` occupies in the current JVM.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `estimateSize(IoEvent event)` Estimate the IoEvent size in numberof bytes

- - ### Method Detail

    - #### estimateSize

          int estimateSize(IoEvent event)

      Estimate the IoEvent size in numberof bytes
      Parameters:
        `event` - The event we want to estimate the size of
      Returns:
        The estimated size of this event

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.